# Uses of Interface
java.nio.file.attribute.BasicFileAttributes

Packages that use BasicFileAttributes
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.
java.nio.file.attribute
Interfaces and classes providing access to file and file system attributes.
java.nio.file.spi
Service-provider classes for the `java.nio.file` package.

## Uses of BasicFileAttributes in java.nio.file

Methods in java.nio.file with type parameters of type BasicFileAttributes
Modifier and Type
Method
Description
`static <A extends BasicFileAttributes>
A`
Files.`readAttributes(Path path, Class<A> type, LinkOption... options)`
Reads a file's attributes as a bulk operation.
Methods in java.nio.file with parameters of type BasicFileAttributes
Modifier and Type
Method
Description
`FileVisitResult`
FileVisitor.`preVisitDirectory(T dir, BasicFileAttributes attrs)`
Invoked for a directory before entries in the directory are visited.
`FileVisitResult`
SimpleFileVisitor.`preVisitDirectory(T dir, BasicFileAttributes attrs)`
Invoked for a directory before entries in the directory are visited.
`FileVisitResult`
FileVisitor.`visitFile(T file, BasicFileAttributes attrs)`
Invoked for a file in a directory.
`FileVisitResult`
SimpleFileVisitor.`visitFile(T file, BasicFileAttributes attrs)`
Invoked for a file in a directory.
Method parameters in java.nio.file with type arguments of type BasicFileAttributes
Modifier and Type
Method
Description
`static Stream<Path>`
Files.`find(Path start, int maxDepth, BiPredicate<Path,BasicFileAttributes> matcher, FileVisitOption... options)`
Return a `Stream` that is lazily populated with `Path` by searching for files in a file tree rooted at a given starting file.

## Uses of BasicFileAttributes in java.nio.file.attribute

Subinterfaces of BasicFileAttributes in java.nio.file.attribute
Modifier and Type
Interface
Description
`interface`
`DosFileAttributes`
File attributes associated with a file in a file system that supports legacy "DOS" attributes.
`interface`
`PosixFileAttributes`
File attributes associated with files on file systems used by operating systems that implement the Portable Operating System Interface (POSIX) family of standards.
Methods in java.nio.file.attribute that return BasicFileAttributes
Modifier and Type
Method
Description
`BasicFileAttributes`
BasicFileAttributeView.`readAttributes()`
Reads the basic file attributes as a bulk operation.

## Uses of BasicFileAttributes in java.nio.file.spi

Methods in java.nio.file.spi with type parameters of type BasicFileAttributes
Modifier and Type
Method
Description
`abstract <A extends BasicFileAttributes>
A`
FileSystemProvider.`readAttributes(Path path, Class<A> type, LinkOption... options)`
Reads a file's attributes as a bulk operation.
`<A extends BasicFileAttributes>
A`
FileSystemProvider.`readAttributesIfExists(Path path, Class<A> type, LinkOption... options)`
Reads a file's attributes as a bulk operation if it exists.